Subject: Re: [build failure] hp-plus.c: (.text+0xd7c1a): undefined reference to `ei_close'

From: Ingo Molnar <[email-masked]>
Date: Thu, 24 Jul 2008 11:29:20 +0200

* Alan Cox <[email-masked]> wrote:

> On Thu, 24 Jul 2008 07:26:03 +0200
> Ingo Molnar <[email-masked]> wrote:
> 
> > 
> > not sure it's known but despite all the fixes i still get:
> 
> I'll have a look at this next week or possibly the week after. The 
> original patches worked but they spent 3 months going round in circles 
> and I've completely given up even trying to work out what happened or 
> why all the previous updates I sent were ignored.

ok - meanwhile i'm using the workaround hack below.

	Ingo

--------------------->
commit 91de2dc9031b92157f067d78aaf2c8e58a965c0d
Author: Ingo Molnar <[email-masked]>
Date:   Mon Jul 21 21:18:29 2008 +0200

    hp-plus.c: work around build failure
    
    Signed-off-by: Ingo Molnar <[email-masked]>
---
 drivers/net/Kconfig |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
index fa533c2..1c809e4 100644
--- a/drivers/net/Kconfig
+++ b/drivers/net/Kconfig
@@ -1129,6 +1129,8 @@ config EEXPRESS_PRO
 config HPLAN_PLUS
 	tristate "HP PCLAN+ (27247B and 27252A) support"
 	depends on NET_ISA
+	# broken build with config-Mon_Jul_21_20_21_08_CEST_2008.bad
+	depends on 0
 	select CRC32
 	help
 	  If you have a network (Ethernet) card of this type, say Y and read